Skip to content

Create A New Message

Request

Creates a new message for an existing thread in vWork.

Security
apiKey
Path
thread_idstringrequired
Query
api_keystringrequired
Headers
Accept-Encodingstringrequired

Must be gzip. The vWork API requires HTTP compression on all requests; requests without it may be rejected with 406 Not Acceptable (see Tech Notes → HTTP Compression).

Value:"gzip"
Example:gzip
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

POST
/v5/messaging/{thread_id}/messages.xml
curl -i -X POST \
  'https://api.vworkapp.com/v5/messaging/{thread_id}/messages.xml?api_key=string&api_key=YOUR_API_KEY_HERE' \
  -H 'Accept-Encoding: gzip' \
  -H 'Content-Type: application/xml; charset=utf-8' \
  -d '<?xml version="1.0" encoding="utf-8"?>
  <message>
      <body>This is a new message</body>
      <from_user_id>3</from_user_id>
  </message>'

Responses

Created

Headers
Cache-Controlstring
Example:"max-age=0, private, must-revalidate"
Content-Security-Policystring
Example:"frame-ancestors *.vworkapp.com *.vwork.io *.visfleet.com *.salesforce.com *.zoho.com, default-src: google.com google-analytics.com googleapis.com gst
Datestring
Example:"Tue, 14 Jun 2016 01:56:40 GMT"
ETagstring
Example:"W/\"58e045bce12037d329682fa016e0485f\""
Locationstring
Example:"https://api.vworkapp.com/api/v4/messaging/acfe5d7a-1188-11e6-9d29-595cf99ba95b/messages/3c27e588-31d3-11e6-927a-37a1480f7e3a.xml"
Statusstring
Example:"201 Created"
Strict-Transport-Securitystring
Example:"max-age=31536000"
Transfer-Encodingstring
Example:"chunked"
X-Content-Type-Optionsstring
Example:"nosniff"
X-Frame-Optionsstring
Example:"SAMEORIGIN"
X-Request-Idstring
Example:"9b50ea5a-cd40-4c20-a702-b4299e688932"
X-Runtimestring
Example:"0.513173"
X-Unique-IDstring
Example:"CA7C7B8A:D1C2_0A001312:01BB_575F6382_776FF0:1E66"
X-XSS-Protectionstring
Example:"1; mode=block"
Bodyapplication/xml; charset=utf-8
string

Raw XML payload — see the example.

Response
<?xml version="1.0" encoding="utf-8"?>
<message>
    <id>23275dfc-086d-11e4-a5ac-174e8ef2ef84</id>
    <thread_id>23268152-086d-11e4-a5ac-174e8ef2ef84</thread_id>
    <from_user_id>3</from_user_id>
    <from_user_name>Joe Bloggs</from_user_name>
    <read_by_user_ids>3</read_by_user_ids>
    <received_by_user_ids/>
    <body>This is a new message</body>
    <created_at>2014-07-10 20:02:36 UTC</created_at>
    <updated_at>2014-07-11 08:02:36 +1200</updated_at>
</message>